function[alphatot,Sitot]=skillscale(Y,TNAS,TNA1S,F,rf,lagnew,indicsb)
%This routine computes the vector of estimated skill and scale coefficients
%(ai and bi) along with their asymptotic variance (Si).

nbfond=size(Y,2);
nbobs0=size(Y,1);
alphatot=zeros(nbfond,2);
restot=-999*ones(nbobs0,nbfond);
Sitot=zeros(nbfond,2);
for i=1:nbfond,
    index=find(Y(:,i)~=-999);
    Ii=zeros(nbobs0,1);
    Ii(index,1)=1;
    nbobs=size(index,1);
    resi=zeros(nbobs0,1);
    tau=nbobs0/nbobs;
    Fsel=F(index,:);
    if indicsb==1,
        tsel=TNAS(index,i);
        t=TNAS(:,i);
        tcsel=[tsel];
        tc=[t];
        Xsel=[Fsel(:,1),-tcsel,Fsel(:,2:end)];
        Xtot=[F(:,1),-tc,F(:,2:end)];   
    else
        tsel=TNAS(index,i);
        t=TNAS(:,i);
        t1sel=-TNA1S(index,i);
        t1=-TNA1S(:,i);
        tcsel=[tsel,t1sel];
        tc=[t,t1];
        Xsel=[Fsel(:,1),-tcsel,Fsel(:,2:end)];
        Xtot=[F(:,1),-tc,F(:,2:end)]; 
    end
    invQx=inv((1/nbobs)*Xsel'*Xsel);
    rfsel=rf(index,1);
    Ysel=Y(index,i)-rfsel;
    
    %computation ai and bi
    [beta,BINT,residus0,RINT,statistique]=regress(Ysel,Xsel);
    alphatot(i,:)=beta(1:2,1)';
    resi(index,1)=residus0;
    restot(index,i)=residus0;
   
    %computation of the asymptotic variance of ai and bi
    nbreg=size(Xsel,2);
    snb=1/sqrt(nbobs0);
    for q=1:2,
        E1=zeros(nbreg,1);
        E1(q,1)=1;
        ui=Ii.*(E1'*invQx*Xtot')'.*resi;
        cst=(tau*snb)^2;
        [Sit]=calculSit(ui,cst,lagnew);
        Sitot(i,q)=Sit;
    end
end